Subject: Re: bug#16383: balance-windows fails in Emacs 24.3.50.1

From: Steven Edwards <[email-masked]>
Date: Sat, 11 Jan 2014 06:39:13 -0500

On 1/11/14, martin rudalics <[email-masked]> wrote:
> I suppose you applied the changes but did not recompile/evaluate
> window.el afterwards.  Even if you did, the changes won't be picked up
> when you restart Emacs because you did not change the corresponding part
> of the executable (you would have to "make" Emacs for that purpose).

I did indeed recompile and evalute the buffer.  But as you say, no
changes were seen, even after I restarted Emacs.

> So simply take the patched code of `balance-windows-2' (for example, as
> it is at the end of this mail), add it to your .emacs, and run it until
> ...
>
>  > The Debian snapshot will
>  > be updated soon, I hope.
>
> ... this happens.

In time. :)

>  > Thank you for letting me know it's fixed... that gives me something to
>  > look forward to. :)
>
> Don't look forward, try now ;-)
>
> Thanks, martin

Added and eval'd--no luck, even after a restart. :(

I'm going to try compiling the version in the GNU git repository to
see if it works.